commit:     f18e548e557795066bfa21dd3fb9feb7f7b78f66
Author:     Oz Tiram <oz.tiram <AT> gmail <DOT> com>
AuthorDate: Mon Jan 23 09:20:30 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri May  5 04:23:52 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f18e548e

x11-misc/mozo: add 1.26.2

Signed-off-by: Oz Tiram <oz.tiram <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/29225
Signed-off-by: Sam James <sam <AT> gentoo.org>

 x11-misc/mozo/Manifest           |  1 +
 x11-misc/mozo/mozo-1.26.2.ebuild | 64 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/x11-misc/mozo/Manifest b/x11-misc/mozo/Manifest
index 23cdee565c11..2cabad745d42 100644
--- a/x11-misc/mozo/Manifest
+++ b/x11-misc/mozo/Manifest
@@ -1 +1,2 @@
 DIST mozo-1.26.1.tar.xz 242836 BLAKE2B 
59047b087e531792c0e831779d06a2dc7d9d2709bef7a7c8ba4a21d6f9fe1a79f917e2ba4e4912d655ad94391c0f7789e6ad6394be1a7bcb482881781f81c9ff
 SHA512 
8570db4719d88bb34269a23acaa63638c5b7e50bf840bca73db718040c9d585670f1fd3be128c51ff22b4314f59dad6050907db8ce60bb506e4d46c3f807707e
+DIST mozo-1.26.2.tar.xz 249672 BLAKE2B 
95e9a04fc91424e8ce95e870253bf1d2eddfbbf1b78b632b15d057a3ffa86068bb2c89442cfc50c4f74a76e75b345c6b06cf47d5891eed3ffce460697fb0094b
 SHA512 
c4ea00f97f4dd5c9b33b78e1b438ba80a5e23b69d05f6ea59c522a580c1b07c280cddc0591f266c16f39bbe5f3e07ca28cdbd33753162a02584b551a9857b904

diff --git a/x11-misc/mozo/mozo-1.26.2.ebuild b/x11-misc/mozo/mozo-1.26.2.ebuild
new file mode 100644
index 000000000000..29f2da4774bc
--- /dev/null
+++ b/x11-misc/mozo/mozo-1.26.2.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{10..11} )
+PYTHON_REQ_USE="xml(+)"
+
+inherit mate python-r1
+
+DESCRIPTION="Mozo menu editor for MATE"
+LICENSE="GPL-2+ GPL-3+ LGPL-2+ LGPL-2.1+"
+
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~riscv ~x86"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+COMMON_DEPEND="${PYTHON_DEPS}
+       >=dev-python/pygobject-3:3[${PYTHON_USEDEP}]
+       >=mate-base/mate-menus-1.21.0[introspection]
+       x11-libs/gdk-pixbuf:2[introspection]
+       >=x11-libs/gtk+-3.12:3[introspection]
+"
+
+RDEPEND="${COMMON_DEPEND}
+       virtual/libintl
+"
+DEPEND="${COMMON_DEPEND}
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+"
+
+src_prepare() {
+       mate_src_prepare
+       python_copy_sources
+}
+
+src_configure() {
+       python_foreach_impl run_in_build_dir mate_src_configure \
+               --disable-icon-update
+}
+
+src_compile() {
+       python_foreach_impl run_in_build_dir default
+}
+
+src_test() {
+       python_foreach_impl run_in_build_dir emake check
+}
+
+src_install() {
+       installing() {
+               mate_src_install
+
+               # Massage shebang to make python_doscript happy
+               sed -e 's:#! '"${PYTHON}:#!/usr/bin/python:" \
+                       -i mozo || die
+
+               python_doscript mozo
+               python_optimize
+       }
+
+       python_foreach_impl run_in_build_dir installing
+}

Reply via email to